#
# Copyright 2011 Martin Owens <doctormo@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>
#
"""Provides client like functionality for the muchmuch imap interface."""
import os
import sys
import logging

from subprocess import Popen, PIPE

from dbus.exceptions import DBusException

from MuchMuch.client import MailRoom, MailAccount
from MuchMuch.config import ConfigFile

class InterfaceError(Exception):
    pass

class AccountInterface(object):
    """Provides support for delivery of email (i.e. imap)"""
    def __init__(self, info, filename):
        self.config = ConfigFile(filename)
        self.account = self.config.get('account', {})
        try:
            self.obj = MailAccount(self.account.get('id', 'Missing'))
        except DBusException, error:
            raise InterfaceError("Can't get interface: %s" % str(error))
        logging.warn("Ready!")



