#!/bin/bash
#
# Copyright: 2010 Martin Owens
# Licensed: GPLv3
#
# Only run tests that failed (that have log files)

for LOG in `ls test_*.log`
 do
  PART=${LOG%.*}
  python $PART.py &> $LOG.1
  RESULT=`grep FAILED $LOG.1`
  ERROR=`grep -B10 Error $PART.log`
  if [ -n "$RESULT" ]; then
    echo "STILL FAILED: $PART > $RESULT (DRAT!)"
    mv $LOG.1 $LOG
  else if [ -n "$ERROR" ]; then
    echo "ERRORS: $PART > $ERROR (AH HELL!)" 
  else
    echo "FINALLY PASSED: $PART (CONGRATULATIONS!)"
    rm $LOG $LOG.1
  fi
  fi
done

