#
# Copyright 2010, Martin Owens.
#
# This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>
#

import gtk
import os

from base_test import Pipette
from base_dbus_test import DBusTestBase

class DaemonConnectionTestCase(DBusTestBase):
    """Testcase for dbus services"""
    def test_00_object(self):
        """Dbus Object"""
        self.assert_(self.service_root, "Can't get dbus object")

    def test_01_client(self):
        """Client Module"""
        import MuchMuch.client

    def test_02_mailroom(self):
        """Client MailRoom"""
        from MuchMuch.client import MailRoom
        self.assertTrue(MailRoom())

if __name__ == '__main__':
    Pipette.run_unittest( DaemonConnectionTestCase )

